Skip to main content
Order a gift card and send it to a specified recipient.

Endpoint

POST https://api-v3.reeple.ai/giftcards/order

Request body

FieldTypeDescription
amountNumber >= 1Required. Amount to load onto the gift card.
currencyString, defaults to USDRequired. See supported currencies.
emailStringRequired. Recipient’s email address.
productIdNumberRequired. ID of the specific gift card product.
quantityNumberRequired. Number of units to purchase.
noteStringOptional. Alphanumeric only, max 200 characters.
referenceStringOptional reference for the transaction.
{
  "currency": "NGN",
  "productId": 0,
  "amount": 1,
  "email": "recipient@example.com",
  "quantity": 1,
  "note": "Happy birthday",
  "reference": "string"
}

Response

{
  "success": true,
  "statusCode": 201,
  "message": "Giftcard order in progress",
  "data": {}
}